## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# When bootstrapping, we do not include the “grpc” extra in the BR’s. That adds
# a BR on python3dist(grpcio), but this package is required by
# python3dist(grpcio-status), which creates a circular dependency with grpc.
%bcond_without bootstrap

Name:           python-googleapis-common-protos
Version:        1.56.0
Release:        %autorelease
Summary:        Common protobufs used in Google APIs

License:        ASL 2.0
URL:            https://github.com/googleapis/python-api-common-protos/
Source0:        %{url}/archive/v%{version}/googleapis-common-protos-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

%global common_description %{expand:
%{summary}.}

%description %{common_description}


%package -n python3-googleapis-common-protos
Summary:        %{summary}

%description -n python3-googleapis-common-protos %{common_description}


%pyproject_extras_subpkg -n python3-googleapis-common-protos grpc


%prep
%autosetup -n python-api-common-protos-%{version}


%generate_buildrequires
%pyproject_buildrequires -r %{?!with_bootstrap:-x grpc}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google


%check
# Upstream has no tests.
#
# Note that google and google.logging are namespace packages.
%pyproject_check_import %{?with_bootstrap:-e 'google.longrunning.*grpc*'}


%files -n python3-googleapis-common-protos -f %{pyproject_files}
%doc CHANGELOG.md
%doc CONTRIBUTING.md
%doc CODE_OF_CONDUCT.md
%doc README.md

%{python3_sitelib}/googleapis_common_protos-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Sat Apr 23 2022 Matthew Davis <fedoraproject@virtual.drop.net> 1.56.0-2
- Enabled Bootstrapping

* Fri Mar 18 2022 Benjamin A. Beasley <code@musicinmybrain.net> 1.56.0-1
- Update to 1.56.0 (close RHBZ#2065457)

* Wed Feb 23 2022 Benjamin A. Beasley <code@musicinmybrain.net> 1.55.0-1
- Update to 1.55.0 (close RHBZ#2057586)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.54.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 08 2021 Benjamin A. Beasley <code@musicinmybrain.net> 1.54.0-1
- Update to 1.54.0 (close RHBZ#2030075)

* Wed Nov 03 2021 Benjamin A. Beasley <code@musicinmybrain.net> 1.53.0-15
- Express %%generate_buildrequires more concisely

* Wed Nov 03 2021 Benjamin A. Beasley <code@musicinmybrain.net> 1.53.0-14
- Use the new %%pyproject_check_import macro

* Tue Sep 14 2021 Benjamin A. Beasley <code@musicinmybrain.net> 1.53.0-13
- Let pyproject-rpm-macros handle the license file

* Tue Sep 14 2021 Benjamin A. Beasley <code@musicinmybrain.net> 1.53.0-12
- Reduce macro indirection in the spec file

* Sun Sep 12 2021 Benjamin A. Beasley <code@musicinmybrain.net> 1.53.0-11
- Drop BR on pyproject-rpm-macros, now implied by python3-devel

* Wed Jul 28 2021 Benjamin A. Beasley <code@musicinmybrain.net> 1.53.0-10
- Move %generate_buildrequires after %prep to make the spec file easier to
  follow

* Thu Jul 08 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.53.0-4
- Drop version conditional; maintain the existing practice of cherry-picking
  updates to stable branches rather than merging

* Thu Jul 08 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.53.0-3
- Tweak how the description macro is written
- Drop obsolete python_provide macro
- Switch to pyproject-rpm-macros
- Add the metapackage for the “grpc” extra
- Add a check section that “smoke-tests” imports

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.53.0-2
- Rebuilt for Python 3.10

* Sun Mar 21 2021 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.53.0-1
- Update to 1.53.0

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.52.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.52.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jun 18 2020 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.52.0-1
- Update to 1.52.0

* Sun May 31 2020 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.51.0-2
- Rebuild for Python 3.9

* Fri May 29 2020 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.51.0-1
- Initial RPM release

